### Hierarchy

- unknown
  - ResolveDisputeRequest

## Index

### Constructors

- constructor

### Methods

- getCustomPayoutAmount
- getReason
- getSummaryNotes
- getTradeId
- getWinner
- serializeBinary
- setCustomPayoutAmount
- setReason
- setSummaryNotes
- setTradeId
- setWinner
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ResolveDisputeRequest(): ResolveDisputeRequest

- Inherited from jspb.Message.constructor

  #### Returns ResolveDisputeRequest

## Methods

### getCustomPayoutAmount

- getCustomPayoutAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:533

  #### Returns string

### getReason

- getReason(): Reason

- - Defined in src/protobuf/grpc_pb.d.ts:527

  #### Returns Reason

### getSummaryNotes

- getSummaryNotes(): string

- - Defined in src/protobuf/grpc_pb.d.ts:530

  #### Returns string

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:521

  #### Returns string

### getWinner

- getWinner(): Winner

- - Defined in src/protobuf/grpc_pb.d.ts:524

  #### Returns Winner

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:536

  #### Returns Uint8Array

### setCustomPayoutAmount

- setCustomPayoutAmount(value: string): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:534

  #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

### setReason

- setReason(value: Reason ): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:528

  #### Parameters

  - ##### value: Reason

  #### Returns ResolveDisputeRequest

### setSummaryNotes

- setSummaryNotes(value: string): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:531

  #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

### setTradeId

- setTradeId(value: string): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:522

  #### Parameters

  - ##### value: string

  #### Returns ResolveDisputeRequest

### setWinner

- setWinner(value: Winner ): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:525

  #### Parameters

  - ##### value: Winner

  #### Returns ResolveDisputeRequest

### toObject

- toObject(includeInstance?: boolean): ResolveDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:537

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ResolveDisputeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:540

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ResolveDisputeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ResolveDisputeRequest, reader: BinaryReader): ResolveDisputeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:541

  #### Parameters

  - ##### message: ResolveDisputeRequest

  - ##### reader: BinaryReader

  #### Returns ResolveDisputeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ResolveDisputeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:539

  #### Parameters

  - ##### message: ResolveDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ResolveDisputeRequest ): ResolveDisputeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:538

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ResolveDisputeRequest

  #### Returns ResolveDisputeRequest . AsObject

Generated using TypeDoc